﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Daco.Web.Publish
{
    public class CBaseArticle : CBizObject
    {
        private string _title = "";
        public string Title
        {
            get { return _title; }
            set { _title = value; }
        }
        /// <summary>
        /// Cache the input data, if caching is enabled
        /// </summary>
        protected static void CacheData(string key, object data)
        {
            if (Config.CSiteConfig.Current.EnableCaching && data != null)
            {
                CBizObject.Cache.Insert(key, data, null,
                   DateTime.Now.AddSeconds(Config.CSiteConfig.Current.CacheDuration), TimeSpan.Zero);
            }
        }
    }
}
