﻿using System;
using Daco.Web.Modules;
using Daco.Security;

namespace Daco.Web.UI
{
    public interface ISitePage
    {
        string Module { get; }
        string Name { get; }
        Masters.DACOMaster Master { get; }
        CPermission Permission { get; }
        CPermission UserPermission { get; }
        string Description { get; set; }
        CMembershipUser CurrentUser { get; }
    }
}
