﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.Services;

namespace Daco.Web.Handlers
{
    public enum EServiceMethod
    {
        UnKnown
    }
    /// <summary>
    /// Summary description for $codebehindclassname$
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    public class DACOHandler : IHttpHandler
    {
        private HttpContext _context = null;
        public void ProcessRequest(HttpContext context)
        {
            _context = context;
            EServiceMethod serviceMethod = EServiceMethod.UnKnown;

            try
            {
                serviceMethod = (EServiceMethod)Enum.Parse(typeof(EServiceMethod), context.Request.QueryString["method"], true);
            }
            catch
            {
                serviceMethod = EServiceMethod.UnKnown;
            }

            switch (serviceMethod)
            {
                case EServiceMethod.UnKnown:
                default:
                    break;
            }
        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}
