﻿<%@ Control Language="C#" CodeBehind="AddEditProduct.ascx.cs" Inherits="Daco.Web.Pages.Secure.AddEditProduct" %>
<div class="DIVBox">
    <div class="DIVBoxHeader"><div><h4><asp:Literal ID="lbAction" runat="server"></asp:Literal></h4></div></div>
    <div class="DIVBoxContent">
        <div>
            <div style="padding: 3px;">
    <div><span style="float: left ; width: 18%; padding-top: 5px;">Nhóm</span>
        <span style="float: left; width: 35%;">
            <select id="cboCategory" datatextfield="Text" datavaluefield="Value" runat="server"></select>
        </span>
        <span style="float: left ; width: 18%; padding-top: 5px;">Hãng</span>
        <span style="float: left;">
            <select id="cboManufacture" datatextfield="Name" datavaluefield="ManufactureID" runat="server"></select>
        </span>
        <br class="BRClear" />
    </div>
    <div style="margin-top: 10px;">
        <span style="float: left; width: 18%;">Tên sản phẩm</span>
        <span style="float: left; width: 35%;">
            <input type="text" id="tbxName" validation="required" runat="server" style="width: 180px;" />
        </span>
        <span style="float: left; width: 18%;">Mã sản phẩm</span>
        <span style="float: left;">
            <input type="text" id="tbxSeries" validation="required" runat="server" style="width: 150px;" />
        </span>
        <br class="BRClear" />
    </div>
    <div style="margin-top: 5px;">
        <span style="float: left; width: 18%;">Giá</span>
        <span style="float: left; width: 35%;">
            <input type="text" id="tbxUnitPrice" validation="numeric" runat="server" style="width: 84px;" /> 
            <select id="selCurrency" style="width: 60px;" datatextfield="CurrencyCode" datavaluefield="CurrencyCode" runat="server">
                <option value="VND">VND</option>
                <option value="USD">USD</option>
            </select> /
            <select id="selMeasureCode" datatextfield="Name" datavaluefield="Code" style="width: 90px;" runat="server" >
            </select>
        </span>
        <span style="float: left; width: 18%;">Số lượng</span>
        <span style="float: left;">
            <input type="text" id="tbxUnitsInStock" validation="numeric" runat="server" style="width: 80px;" />
        </span>
        <br class="BRClear" />
    </div>
    <div style="margin-top: 5px;">
        <span style="float: left; width: 18%;">&nbsp;</span>
        <span style="float: left; width: 35%;">
            <input type="checkbox" id="chkEnablePriceConfidential" checked="checked" runat="server" /><label for="<%=chkEnablePriceConfidential.ClientID %>">Ẩn giá</label>
        </span>
        <span style="float: left; width: 18%;">&nbsp;</span>
        <span style="float: left;">
            <input type="checkbox" id="chkEnableShopping" runat="server" /><label for="<%=chkEnableShopping.ClientID %>">Cho phép đặt hàng</label>
        </span>
        <br class="BRClear" />
    </div>
    <div style="margin-top: 5px;">
        <CC:FCKeditor ID="fckDescription" Height="300" runat="server" ></CC:FCKeditor>
    </div>
    <div style="margin-top: 5px;">
        <CC:FlashUpload ID="fuImage" runat="server"></CC:FlashUpload>
    </div>
    <div style="margin-top: 5px;">
        <div style="height: 15px;"></div>
        <div style="text-align: center;">
            <asp:Button ID="btnAddNew" Text="Thêm mới" OnClick="btnAddNew_Click" OnClientClick="return validForm();" runat="server" />
            <asp:Button ID="btnUpdate" Text="Lưu lại" OnClick="btnUpdate_Click" OnClientClick="return validForm();" Visible="false" runat="server" />
            <asp:Button ID="btnCancel" Text="Hủy bỏ" OnClick="btnCancel_Click" Visible="false" runat="server" />
        </div>
    </div>
</div>
        </div>
    </div>
</div>
<script type="text/javascript" src="<%=Page.ResolveUrl("~/Scripts/JForm.js")%>"></script>
<script type="text/javascript" language="javascript">
    var productForm = $('#<%=this.Page.Form.ClientID %>');
    productForm.validation();
    
    var enableShopping = document.getElementById('<%=chkEnableShopping.ClientID %>');
    var unitPrice = document.getElementById('<%=tbxUnitPrice.ClientID %>');
    var unitsInStock = document.getElementById('<%=tbxUnitsInStock.ClientID %>');

    function validForm() {
        if (productForm.validate()) {
            if (enableShopping.checked) {
                if (unitPrice.value.length > 0) {
                    if (!isNaN(parseFloat(unitPrice.value)) && parseFloat(unitPrice.value) > 0) {
                        if (unitsInStock.value.length > 0) {
                            if (!isNaN(parseInt(unitsInStock.value)) && parseInt(unitsInStock.value) > 0) {
                                return true;
                            }
                            else {
                                alert('<%=string.Format(Daco.Web.Resources.Messages.InvalidNumericFormatField, "Units in stock").Replace("\'", "\\'") %>');
                            }
                        }
                        else {
                            alert('<%=string.Format(Daco.Web.Resources.Messages.RequiredField, "Units in stock").Replace("\'", "\\'") %>');
                        }
                    }
                    else {
                        alert('<%=string.Format(Daco.Web.Resources.Messages.InvalidNumericFormatField, "Unit Price").Replace("\'", "\\'") %>');
                    }
                }
                else {
                    alert('<%=string.Format(Daco.Web.Resources.Messages.RequiredField, "Unit Price").Replace("\'", "\\'") %>');
                }
            }
            else {
                return true;
            }
        }
        return false;
    }
</script>