﻿function formatCurrency(num) {
    num = num.toString().replace(/\$|\./g, '');
    if (isNaN(num))
        num = "0";
    signt = (num == (num = Math.abs(num)));
    num = Math.floor(num * 100 + 0.50000000001);
    cents = num % 100;
    num = Math.floor(num / 100).toString();
    if (cents < 10)
        cents = "0" + cents;
    for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
        num = num.substring(0, num.length - (4 * i + 3)) + '.' +
	num.substring(num.length - (4 * i + 3));
    return (((signt) ? '' : '-') + '$' + num + '.' + cents);
}
function formatCurrencyWithoutDecimal(num) {
    num = num.toString().replace(/\$|\./g, '');
    if (isNaN(num))
        num = "0";
    signt = (num == (num = Math.abs(num)));
    num = Math.floor(num * 100 + 0.50000000001);
    cents = num % 100;
    num = Math.floor(num / 100).toString();
    for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
        num = num.substring(0, num.length - (4 * i + 3)) + '.' +
	num.substring(num.length - (4 * i + 3));
    return (((signt) ? '' : '-') + '$' + num);
}
function formatCurrencyWithoutDecimalAndDolar(num) {
    num = num.toString().replace(/\$|\./g, '');
    if (isNaN(num))
        num = "0";
    signt = (num == (num = Math.abs(num)));
    num = Math.floor(num * 100 + 0.50000000001);
    cents = num % 100;
    num = Math.floor(num / 100).toString();
    for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
        num = num.substring(0, num.length - (4 * i + 3)) + '.' + num.substring(num.length - (4 * i + 3));
    return (((signt) ? '' : '-') + num);
}
function moneyFormat(money) {
    var dollarVal = formatCurrency(money);
    return dollarVal;
}
function LTrim(value) {
    var re = /\s*((\S+\s*)*)/;
    return value.replace(re, "$1");
}
// Removes ending whitespaces
function RTrim(value) {
    var re = /((\s*\S+)*)\s*/;
    return value.replace(re, "$1");
}

// Removes leading and ending whitespaces
function trim(value) {

    return LTrim(RTrim(value));

}
function ShowFlashObject(objFileName, objWidth, objHeight) {
    var sHTML = '';
    sHTML = sHTML.concat('<OBJECT classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,28,0" WIDTH="').concat(objWidth).concat('" HEIGHT="').concat(objHeight).concat('" >');
    sHTML = sHTML.concat('	<PARAM NAME="movie" VALUE="').concat(objFileName).concat('">');
    sHTML = sHTML.concat('	<PARAM NAME="AllowScriptAccess" VALUE="always">');
    sHTML = sHTML.concat('	<PARAM NAME="quality" VALUE="high">');
    sHTML = sHTML.concat('	<PARAM NAME="bgcolor" VALUE="#FFFFFF">');
    sHTML = sHTML.concat('	<PARAM NAME="wmode" VALUE="transparent">');
    sHTML = sHTML.concat('	<EMBED src="').concat(objFileName).concat('" quality="high" bgcolor="#FFFFFF" WIDTH="').concat(objWidth).concat('" HEIGHT="').concat(objHeight).concat('" ALIGN="" TYPE="application/x-shockwave-flash" PLUGINSPAGE="http://www.macromedia.com/go/getflashplayer" wmode="transparent" AllowScriptAccess="always" >');
    sHTML = sHTML.concat('</OBJECT>');
    return sHTML;
}