﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Daco
{
    public class CBaseContext : IDisposable
    {
        private static CBaseContext _current=  null;
        public static CBaseContext Current
        {
            get
            {
                if (_current == null)
                    _current = new CBaseContext();
                return _current;
            }
        }

        private Dictionary<string, object> _items = null;
        public IDictionary<string, object> Items
        {
            get { return _items; }
        }

        protected CBaseContext()
        {
            _items = new Dictionary<string, object>();
        }

        #region IDisposable Members

        public virtual void Dispose()
        {
            
        }

        #endregion
    }
}
