﻿using System;
using System.Collections.Generic;
using System.Text;

using Asp = System.Web;

namespace Daco.Web.UI
{
    public class DACOFooter : Asp.UI.Control, IDACOFooter
    {
        public System.Web.UI.Control ThisControl
        {
            get { return this; }
        }

        private string _footerContent = null;

        public DACOFooter()
        {
            this.Load += new EventHandler(DACOFooter_Load);
        }

        void DACOFooter_Load(object sender, EventArgs e)
        {
            _footerContent = CWeb.GetFooter();
        }

        protected override void Render(Asp.UI.HtmlTextWriter writer)
        {
            //base.Render(writer);
            writer.WriteLine(@"
                <!-- Begin footer -->
                <div style=""margin: 0; height: 7px; background: red;""></div>
                <div style=""height: 100px; background-color: white; margin: 0;"">
                    <div style=""padding: 5px;"">");
            writer.Write(_footerContent);
            writer.Write(@"
                    </div>
                </div>
                <!-- End footer -->
            ");
        }
    }
}