﻿<%@ Control Language="C#" CodeBehind="Contact.ascx.cs" Inherits="Daco.Web.Pages.Contact" EnableViewState="false" %>
<%@ Register Src="~/Controls/ExchangeRate.ascx" TagName="ExchangeRate" TagPrefix="CC" %>
<%@ Register Src="~/Controls/OnlineSupport.ascx" TagName="OnlineSupport" TagPrefix="CC" %>
<div style="margin-left: 5px;">
    <div>
        <img src="<%=GetImageUrl("~/Images/Banner.jpg", true)%>" alt="" />
    </div>
    <div>
        <div id="content">
            <div style="margin-right: 5px;">
                <!-- Begin contact page -->
                <div class="DIVBox">
                    <div class="DIVBoxHeader">
                        <div><h4>Liên hệ</h4></div>
                    </div>
                    <div class="DIVBoxContent">
                        <div>
                            <!-- Thong tin lien he -->
                            <asp:Literal ID="litContact" runat="server"></asp:Literal>
                            <!-- Form lien he -->
                            <div>
                                <div><span style="float: left; width: 20%;"><strong>Họ tên: </strong></span><span><input id="tbxFullName" runat="server" type="text" validation="required" style="width: 200px;" /></span></div>
                                <br />
                                <div><span style="float: left; width: 20%;"><strong>Email: </strong></span><span><input id="tbxEmail" runat="server" type="text" validation="required email" style="width: 250px;" /></span></div>
                                <br />
                                <div><span style="float: left; width: 20%;"><strong>Nội dung: </strong></span>
                                    <span><textarea id="tbxBody" cols="60" rows="7" runat="server"></textarea></span>
                                </div>
                                <br />
                                <div style="text-align: center;">
                                    <asp:Button ID="btnSubmit" OnClick="btnSubmit_Click" Text="Gửi" runat="server"></asp:Button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- End contact page -->
            </div>
        </div>
        <div id="right">
            <%--Tro giup online--%>
            <CC:OnlineSupport ID="onlineSupport" runat="server"></CC:OnlineSupport>
            <!-- Exchange rate -->
            <CC:ExchangeRate ID="exchangeRate" runat="server" />
            <!-- End exchange rate -->
            <div>
                <div style="text-align: center;">
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Mitsubishi.jpg") %>" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Idec.jpg") %>" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Siemens.png") %>" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Max.jpg") %>" style="width: 130px;" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Fuji.gif") %>" alt="" />
                </div>
            </div>
        </div>
    </div>
</div>