﻿<%@ Control Language="C#" CodeBehind="Default.ascx.cs" Inherits="Daco.Web.Pages.Default" EnableViewState="false" %>
<%@ Register Src="~/Controls/ExchangeRate.ascx" TagName="ExchangeRate" TagPrefix="CC" %>
<%@ Register Src="~/Controls/OnlineSupport.ascx" TagName="OnlineSupport" TagPrefix="CC" %>
<div style="margin-left: 5px;">
    <%--<div>
        <img src="<%=GetImageUrl("~/Images/Banner.jpg", true)%>" alt="" />
    </div>--%>
    <div>
        <div id="content">
            <div style="margin-right: 10px;">
                <!-- Begin product -->
                <!-- Newest products -->
                <%--<CC:NewestProducts id="ccNewestProducts" runat="server" />--%>
                <div class="DIVBox">
                    <div class="DIVBoxHeader"><div><h4>Sản phẩm mới nhất</h4></div></div>
                    <div class="DIVBoxContent">
                        <div>
                            <asp:Repeater ID="rpProduct" runat="server">
                                <ItemTemplate>
                                    <div style="float: left; width: <%= (int)Math.Floor((double)100 / (double)ItemsPerRow) %>%; text-align: center; padding: 10px 0;">
                                        <div>
                                            <a href="<%#Page.ResolveUrl(string.Format("~/EStore/View,{0}.aspx", Eval("ProductID").ToString())) %>">
                                            <img alt="" class="IMGDetailView" style="width: 120px; height: 90px;" src="<%#GetPhotoUrl(Container.DataItem) %>" />
                                            </a>
                                        </div>
                                        <div>
                                            <label><%#Eval("ProductName") %><br /><b>(<%#(Container.DataItem as Daco.Web.Store.CProduct).Manufacture.Name %>)</b></label><br />
                                            <%#GetPriceDetail(Container.DataItem) %>
                                        </div>
                                    </div>
                                </ItemTemplate>
                                <SeparatorTemplate>
                                    <%#(Container.ItemIndex + 1) % ItemsPerRow == 0 ? @"<div class=""DIVClear""></div>" : string.Empty%>
                                </SeparatorTemplate>
                            </asp:Repeater>
                            <div class="DIVClear"></div>
                        </div>
                    </div>
                </div>
            <asp:Panel ID="pEmpty" Visible="false" runat="server">
                <p style="text-align: center; color: Red; text-transform: capitalize;">Không có sản phẩm nào</p>
            </asp:Panel>
            <%--Phan trang--%>
            <div class="DIVClear"></div>
                <%--<div>
                    <div style="text-align: center;">
                        <img src="<%=GetPageUrl("~/Uploads/BottomBanner.jpg") %>" style="width: 520px;" alt="" />
                    </div>
                </div>--%>
                <!-- End product -->
            </div>
        </div>
        <div id="right">
            <%--Tro giup online--%>
            <CC:OnlineSupport ID="onlineSupport" runat="server"></CC:OnlineSupport>
            <!-- Exchange rate -->
            <CC:ExchangeRate ID="exchangeRate" runat="server" />
            <!-- End exchange rate -->
            <div>
                <div style="text-align: center;">
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Mitsubishi.jpg") %>" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Idec.jpg") %>" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Siemens.png") %>" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Max.jpg") %>" style="width: 130px;" alt="" />
                    <img src="<%=GetImageUrl("~/Uploads/Partners/Fuji.gif") %>" alt="" />
                </div>
            </div>
        </div>
    </div>
</div>
